#include <stdio.h>
#define NFIT	15
float _F[NFIT][5][5];
void InitFunc(void)
{
	int x, y, i, j, k;
	for (y = -2; y <= 2; ++y) {
		int yy = y*y - 2;
		for (x = -2; x <= 2; ++x) {
			int xx = x*x - 2;
			int xy = x*y;
			_F[0][y+2][x+2] = 1;
			_F[1][y+2][x+2] = x;
			_F[2][y+2][x+2] = y;
			_F[3][y+2][x+2] = xx + yy;
			_F[4][y+2][x+2] = xx - yy;
			_F[5][y+2][x+2] = xy;
			_F[6][y+2][x+2] = (5*xx*x - 7*x)/6;
			_F[7][y+2][x+2] = (5*yy*y - 7*y)/6;
			_F[8][y+2][x+2] = yy*x;
			_F[9][y+2][x+2] = xx*y;
			_F[10][y+2][x+2] = xx*yy;
			_F[11][y+2][x+2] = (35*(xx*xx + yy*yy) - 15*(xx + yy) - 196)/12;
			_F[12][y+2][x+2] = (35*(xx*xx - yy*yy) - 15*(xx - yy))/60;
			_F[13][y+2][x+2] = (5*(xx + yy) - 14)*xy/6;
			_F[14][y+2][x+2] = (xx - yy)*xy/6;
		}
	}
	for (k = 0; k < NFIT; ++k) {
		printf("k = %d\n", k);
		for (j = 0; j < 5; ++j) {
			for (i = 0; i < 5; ++i)
				printf("%6.1f", _F[k][j][i]);
			printf("\n");
		}
	}
}
double prod(float (x[])[5], float (y[])[5])
{
	int i;
	float *p = (float *)x;
	float *q = (float *)y;
	double sum = 0.0;

	for (i = 0; i < 25; ++i)
		sum += p[i]*q[i];
	return sum;
}
main()
{
	int j;
	InitFunc();
	printf("\n");
	for (j = 0; j < NFIT; ++j) {
		int i;
		for (i = 0; i < NFIT; ++i) {
			double x;
			x = prod(_F[j], _F[i]);
			printf("%5.0f", x);
		}
		printf("\n");
	}
}
