/*----------------------------------------------------------------------*/
/* build most tasks using the C compiler under Unix System V */
#if	!defined(SYSV)
#define SYSV	1
#endif
/*----------------------------------------------------------------------*/
/* if this is an ANSI compiler */
/*
#if	!defined(ANSI)
#define ANSI	1
#endif
*/
/*----------------------------------------------------------------------*/
/* substitute some arguments (: or !) from previous command line */
#if	!defined(ARGS)
#define ARGS	1
#endif
/*----------------------------------------------------------------------*/
/* use vmalloc for heap checking */
/*
#if	!defined(CHKHEAP)
#define CHKHEAP	1
#endif
*/
/*----------------------------------------------------------------------*/
/*
	Define the block size used by image bread() and bwrite(), and
	also the internal buffer size used by fread() and fwrite().
	The standard buffer size is used when BUF_SIZ == 0
	In special cases the buffer size can be changed by setbufsiz(). 
*/
#define BUF_SIZ	65536
/*----------------------------------------------------------------------*/
/* access mode used by fopen() */
#if	defined(ANSI)	/* ANSI-C */
#define	O_RO	"rb"	/* open binary file for read only */
#define	C_WO	"wb"	/* create/truncate binary file for write only */
#define	O_RW	"r+b"	/* open binary file for read and write */
#define	C_RW	"w+b"	/* create/truncate binary file for read and write */
#else	/* not ANSI-C */
#define	O_RO	"r"	/* open file for read only */
#define	C_WO	"w"	/* create/truncate file for write only */
#define	O_RW	"r+"	/* open file for read and write */
#define	C_RW	"w+"	/* create/truncate file for read and write */
#endif
/*----------------------------------------------------------------------*/
typedef char  CHAR;
typedef short SHORT;
typedef long  LONG;
typedef float FLOAT;
typedef struct {
	float x;
	float y;
} COMPLEX;
typedef unsigned char  UCHAR;
typedef unsigned short USHORT;
typedef unsigned long  ULONG;
typedef unsigned int   UINT;
/*----------------------------------------------------------------------*/
#define FLT_Min 1.0e-37	/* smallest float value */
#define FLT_BLANK 1.0e+38	/* Blank value */
#define CHAR_Max ((CHAR)(((UCHAR)(-1)) >> 1))
#define CHAR_Min ((CHAR)((((UCHAR)(-1)) >> 1) + 1))
#define UCHAR_Max ((UCHAR)(-1))
#define SHORT_Max ((SHORT)(((USHORT)(-1)) >> 1))
#define SHORT_Min ((SHORT)((((USHORT)(-1)) >> 1) + 1))
#define USHORT_Max ((USHORT)(-1))
#define INT_Max ((int)(((unsigned)(-1)) >> 1))
#define INT_Min ((int)((((unsigned)(-1)) >> 1) + 1))
#define UINT_Max ((unsigned)(-1))
#define LONG_Max ((LONG)(((ULONG)(-1L)) >> 1))
#define LONG_Min ((LONG)((((ULONG)(-1L)) >> 1) + 1))
#define ULONG_Max ((ULONG)(-1L))
#define LOBYTE(y) ((y) & 0xFF)
#define HIBYTE(y) (((y) >> 8) & 0xFF)
#define LOWORD(y) ((unsigned)((y) & 0xFFFF))
#define HIWORD(y) ((unsigned)(((y) >> 16) & 0xFFFF))
/*----------------------------------------------------------------------*/
