#if	defined(ANSI)	/* ANSI-C */
extern void setipath(const int i);
extern int idel(const char *name);
extern int iremove(const char *name);
extern int iopen(const char *name,
	const int rw, int *type, int *npix, int *nlin);
extern int icreat(const char *name,
	const int rw, const int type, const int npix, const int nlin);
extern int icopy(const char *oname,
	const char *nname, const int rw, const int cpf);
extern int window(const int id,
	const int stx, const int sty, const int extx, const int exty);
extern int getline(const int id, const int y, void *line);
extern int putline(const int id, const int y, void *line);
extern int bread(const int id, const int block, void *buffer);
extern int bwrite(const int id, const int block, void *buffer);
extern void iflush(const int id);
extern void iclose(const int id);
extern int chiomod(const int id, const int rw);
#else	/* old style */
extern void setipath();
extern int idel();
extern int iremove();
extern int iopen();
extern int icreat();
extern int icopy();
extern int window();
extern int getline();
extern int putline();
extern int bread();
extern int bwrite();
extern void iflush();
extern void iclose();
extern int chiomod();
#endif
