/* prototypes for median functions */
#if	defined(ANSI)	/* ANSI-C */
extern void medi_uchar(UCHAR buf[], const UCHAR *arr[], const float weight[],
      const int nimg, const int npix, const double limit);
extern int rmed_uchar(UCHAR buf[], const int y, const UCHAR *arr[],
		const int nrows, const int ncols, const int my, const int mx,
		const double limit);
extern void medi_short(short buf[], const short *arr[], const float weight[],
      const int nimg, const int npix, const double limit,
      const double blank);
extern int rmed_short(short buf[], const int y, const short *arr[],
		const int nrows, const int ncols, const int my, const int mx,
		const double limit, const double blank);
extern void medi_long(LONG buf[], const LONG *arr[], const float weight[],
      const int nimg, const int npix, const double limit,
      const double blank);
extern int rmed_long(LONG buf[], const int y, const LONG *arr[],
		const int nrows, const int ncols, const int my, const int mx,
		const double limit, const double blank);
extern float fmedian(const int n, const float a[], float w[]);
extern void medi_float(float buf[], const float *arr[], const float weight[],
      const int nimg, const int npix, const double limit,
      const double blank);
extern int rmed_float(float buf[], const int y, const float *arr[],
		const int nrows, const int ncols, const int my, const int mx,
		const double limit, const double blank);
#else	/* old style */
extern void medi_uchar();
extern int rmed_uchar();
extern void medi_short();
extern int rmed_short();
extern void medi_long();
extern int rmed_long();
extern float fmedian();
extern void medi_float();
extern int rmed_float();
#endif
