#include <stdio.h>
#define NFIT	13
float _F[NFIT][5][5];
void InitFunc(void)
{
	int x, y;
	for (y = -2; y <= 2; ++y) {
		long yy = y*y - 2;
		for (x = -2; x <= 2; ++x) {
			long xx = x*x - 2;
			long xy = x*y;
			long rr = xx + yy;
			_F[0][y+2][x+2] = 1;
			_F[1][y+2][x+2] = x;
			_F[2][y+2][x+2] = y;
			_F[3][y+2][x+2] = rr;
			_F[4][y+2][x+2] = xx - yy;
			_F[5][y+2][x+2] = xy;
			_F[6][y+2][x+2] = ((5*xx - 7)*x)/6;
			_F[7][y+2][x+2] = ((5*yy - 7)*y)/6;
			_F[8][y+2][x+2] = yy*x;
			_F[9][y+2][x+2] = xx*y;
			_F[10][y+2][x+2] = (5*(7*rr - 3)*rr - 196)/2;
			_F[11][y+2][x+2] = (5*(7*xx - 3)*xx - 98)/12;
			_F[12][y+2][x+2] = (5*(7*yy - 3)*yy - 98)/12;
		}
	}
}
double prod(float (x[])[5], float (y[])[5])
{
	int i;
	float *p = (float *)x;
	float *q = (float *)y;
	double sum = 0.0;

	for (i = 0; i < 25; ++i)
		sum += p[i]*q[i];
	return sum;
}
main()
{
	int i, j, k;
	InitFunc();
	for (k = 0; k < NFIT; ++k) {
		printf("k = %d\n", k);
		for (j = 0; j < 5; ++j) {
			for (i = 0; i < 5; ++i)
				printf("%8.1f", _F[k][j][i]);
			printf("\n");
		}
	}
	printf("\n");
	for (j = 0; j < NFIT; ++j) {
		int i;
		for (i = 0; i < NFIT; ++i) {
			double x;
			x = prod(_F[j], _F[i]);
			printf("%6.0f", x);
		}
		printf("\n");
	}
}
