/* interface to vmalloc module */
#if	defined(ANSI)	/* ANSI-C */
extern void *vmalloc(unsigned size);
extern void vfree(void *ptr);
extern void vverify(char *id);
extern void *vrealloc(void *ptr, unsigned size);
extern void *vcalloc(unsigned nelem, unsigned size);
extern void vdump(char *id);
extern void heap_dump(void);
extern int bad_heap(void);
#else	/* old style */
extern void *vmalloc();
extern void vfree();
extern void vverify();
extern void *vrealloc();
extern void *vcalloc();
extern void vdump();
extern void heap_dump();
extern int bad_heap();
#endif
