#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define	NHUE	360
unsigned char red[NHUE], green[NHUE], blue[NHUE];
main()
{
	FILE *stream;
	int i;
	double x, y, h;
	double f = atan(1.0)/90.0;
	double q = sqrt(3.0)/2.0;
	if ((stream = fopen("rgbtab.dat", "wb")) == (FILE *)0) {
		fprintf(stderr, "can't create rgbtab.dat\n");
		exit(1);
	}
	for (i = 0; i < NHUE; i++) {
		h = f*i;
		x = 0.5*cos(h);
		y =  q *sin(h);
		red[i]   = 63.0*fabs(x+x);
		green[i] = 57.0*fabs(x+y);
		blue[i]  = 52.0*fabs(x-y);
	}
	if (fwrite(red, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	if (fwrite(green, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	if (fwrite(blue, 1, NHUE, stream) != NHUE) {
		fprintf(stderr, "write error\n");
		exit(1);
	}
	exit(0);
}
